import getopt
import sys

opts, args = getopt.getopt(sys.argv[1:],"i:o:")
#script.py -o ../data/census_cols.csv -i ../data/census_selected_header.csv -s "," 3 6 8
print(opts, args)

opts = dict(opts)
columns = [int(x) for x in args]

print(opts, columns)

#columns = [3, 6, 8]
#with open('../data/census_cols.csv', 'w') as out:
#    with open('../data/census_selected_header.csv', 'r') as f:
with open(opts["-o"], 'w') as out:
    with open(opts["-i"], 'r') as f:
        count = 0
        max_col = float('-inf')
        min_col = float('inf')
        for line in f:
            count += 1
            tokens = line.strip().split(opts["-s"])
            new_line = ''
            for col in columns:
                new_line += tokens[col] + ','
            new_line = new_line[:-1] + "\n"
            out.write(new_line)
            max_col = max(max_col, len(tokens))
            min_col = min(min_col, len(tokens))
        print(count, max_col, min_col)
